Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1
/
doc-issue
/
{year}
/
{month}
GSTR-1 Document Issued
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/doc-issue/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{ "code": 200, "data": { "data": { "doc_issue": { "chksum": "3ff52fdcafdd930b86eef561393efe3fbe963bb220bb417cb21b503b9f486753", "doc_det": [ { "doc_num": 1, "docs": [ { "cancel": 0, "from": "78007", "net_issue": 845, "num": 1, "to": "78892", "totnum": 845 } ] }, { "doc_num": 2, "docs": [] }, { "doc_num": 3, "docs": [] }, { "doc_num": 4, "docs": [] }, { "doc_num": 5, "docs": [ { "cancel": 0, "from": "823", "net_issue": 8, "num": 1, "to": "830", "totnum": 8 } ] }, { "doc_num": 6, "docs": [] }, { "doc_num": 7, "docs": [] }, { "doc_num": 8, "docs": [] }, { "doc_num": 9, "docs": [] }, { "doc_num": 10, "docs": [] }, { "doc_num": 11, "docs": [] }, { "doc_num": 12, "docs": [] } ], "flag": "N" } }, "status_cd": "1" }, "timestamp": 1763446641000, "transaction_id": "8cf8fa12-c2f4-4792-ae40-854660a1efe6" }

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required

Year e.g. 2020

Example:

"{{year}}"

month
string
required

Month e.g. 01

Example:

"{{month}}"

Response

200 - application/json

200 Success / RET11416 No data found

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"8cf8fa12-c2f4-4792-ae40-854660a1efe6"